version: "3.8"

services:
  web:
    image: thecoopcloud/dalmationer.art:latest
    networks:
      - proxy
    deploy:
      labels:
        - "traefik.enable=true"
        - "traefik.docker.network=proxy"
        - "traefik.http.services.dalmationer-art.loadbalancer.server.port=80"
        - "traefik.http.routers.dalmationer-art.rule=Host(`dalmationer.art`, `www.dalmationer.art`)"
        - "traefik.http.routers.dalmationer-art.entrypoints=web-secure"
        - "traefik.http.routers.dalmationer-art.tls.certresolver=production"

networks:
  proxy:
    external: true